> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yutori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Scout As Done

> Mark a scout as done. The scout will be archived and stop running.

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.yutori.com/v1/scouting/tasks/36d178a0-591f-4567-8019-32d24f9e55ba/done \
    --header 'X-API-Key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.yutori.com/v1/scouting/tasks/36d178a0-591f-4567-8019-32d24f9e55ba/done",
      headers={"X-API-Key": "YOUR_API_KEY"}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.yutori.com/v1/scouting/tasks/36d178a0-591f-4567-8019-32d24f9e55ba/done",
    {
      method: "POST",
      headers: { "X-API-Key": "YOUR_API_KEY" }
    }
  );
  const data = await response.json();
  ```
</RequestExample>

Use `POST /v1/scouting/tasks/{scout_id}/complete` only for backward compatibility (deprecated).


## OpenAPI

````yaml POST /v1/scouting/tasks/{scout_id}/done
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.yutori.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/scouting/tasks/{scout_id}/done:
    post:
      tags:
        - Scouting
      summary: Mark Scout As Done
      description: Mark a scout as done. The scout will be archived and stop running.
      operationId: mark_scout_as_done_v1_scouting_tasks__scout_id__done_post
      parameters:
        - name: scout_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Scout Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````